Bug 1474771 - NSS Default File Format SQL
Summary: NSS Default File Format SQL
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
(Show other bugs)
Version: 28
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28, SystemWideChange
Keywords: Reopened
Depends On: 1496560
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-25 11:32 UTC by Jan Kurik
Modified: 2018-05-02 23:55 UTC (History)
5 users (show)

Fixed In Version: nss-util-3.33.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-02 12:05:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1377940 None None None 2017-08-21 15:24 UTC
Red Hat Bugzilla 1574261 None None None Never

Description Jan Kurik 2017-07-25 11:32:30 UTC
This is a tracking bug for Change: NSS Default File Format SQL
For more details, see: https://fedoraproject.org//wiki/Changes/NSSDefaultFileFormatSql

Change the NSS library default to use the sqlite based data storage, when applications don't specify their preferred storage file format.

Comment 1 Jan Kurik 2017-08-10 06:18:21 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 2 Jan Kurik 2017-08-14 14:30:08 UTC
Deferring. Please resubmit the Change proposal for review to Change wrangler once this is ready.

For more info check https://pagure.io/fesco/issue/1760#comment-457211

Comment 3 Kai Engert (:kaie) (inactive account) 2017-08-21 15:24:33 UTC
There have been several blocking issues been identified upstream. Without progress/fixes on those upstream bugs, I'm worried this change is too risky. Deferring this to a later release might be the right choice at this time.

Comment 4 Kai Engert (:kaie) (inactive account) 2017-10-25 15:10:07 UTC
Reopening, we're ready to make this change for Fedora 28.

Comment 5 Jan Kurik 2017-11-06 09:46:05 UTC
Approved for F28: https://pagure.io/fesco/issue/1789

Comment 6 Kai Engert (:kaie) (inactive account) 2017-11-23 19:37:07 UTC
This change was applied to Fedora Rawhide 28 on Nov 7.

Comment 8 Fedora End Of Life 2018-02-20 15:32:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Jan Kurik 2018-03-06 08:58:15 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 10 Kai Engert (:kaie) (inactive account) 2018-03-07 10:57:32 UTC
I consider the change complete.


Note You need to log in before you can comment on or make changes to this bug.